package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ActHistoryData;
import com.ruoyi.system.domain.ActHistoryDataDAO;
import com.ruoyi.system.dto.Pagination;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/7/24
 */
public interface ActHistoryDataMapper {

    void insert(@Param("act") ActHistoryDataDAO actHistoryData);

    ActHistoryData getById(Integer id);

    void removeDuplicates(@Param("type") Long type, @Param("mId") String mineId, @Param("date") String dateColumn);

    List<ActHistoryData> paginatedQueries(@Param("mId") String mineId, @Param("pag") int pag, @Param("type") String type, @Param("date") String wageMonth, @Param("size") int pageSize);
}
